## pimpd 0.8

=== Makefile ===
CC=gcc
CFLAGS= -g -Wall -O2

pimpd:	pimpd.c

clean:
	rm -f pimpd

install:	pimpd
	install pimpd /usr/sbin

=== debian/changelog ===
pimpd (0.8) stable; urgency=low

  * Changed -f to only reply with fakeid on an error.
  * Added -a to always respond with the fakeid.

 -- Peter Nelson <peter@meow.at>  Mon, 04 Mar 2002 13:05:30 +0000

pimpd (0.7) stable; urgency=low

  * Added -f <name> option to always respond with a specified userid.
  * Added -x option to respond with the IP address in hexadecimal form
    if request is to be forwarded.
  * Code cleanups.

 -- Peter Nelson <peter@meow.at>  Sat, 02 Mar 2002 14:13:25 +0000

pimpd (0.6) stable; urgency=low

  * Automatically determine gateway with -g.

 -- Peter Nelson <peter@meow.at>  Tue, 11 Dec 2001 21:19:08 +0000

pimpd (0.5) stable; urgency=low

  * Request forwarding code cleaned up and fixed by Doug Lim
    <dlim@enteract.com>.
 
 -- Peter Nelson <peter@meow.at>  Tue, 01 May 2001 16:43:26 +0100

pimpd (0.4) stable; urgency=low

  * Added support for 2.4's connection tracking.
  * Restructed code a little. :)

 -- Peter Nelson <peter@meow.at>  Mon, 16 Apr 2001 04:21:39 +0100
 

pimpd (0.3) stable; urgency=low

  * Added ~/.noident support. Simply touch ~/.noident to cause
    pimpd to withhold username.
  * Corrected masqueraded port numbers to be what the client
    expects them to be.

 -- Peter Nelson <peter@meow.at>  Sat, 03 Jun 2000 01:49:05 +0100

pimpd (0.2) stable; urgency=low
 
  * Change from using int to in_addr for variables storing IPs.
  * Updated masquerade error output to be RFC compliant.
  * Dropped or timed out connections are now logged.

 -- Peter Nelson <peter@meow.at>  Wed, 10 May 2000 12:39:26 +0100

pimpd (0.1) stable; urgency=low

  * Initial Release.

 -- Peter Nelson <peter@meow.at>  Sun, 30 Apr 2000 19:36:46 +0100

=== debian/control ===
Source: pimpd
Section: net
Priority: extra
Maintainer: Peter Nelson <peter@meow.at>
Standards-Version: 3.5.6.0

Package: pimpd
Architecture: any
Depends: ${shlibs:Depends}
Provides: ident-server
Replaces: ident-server
Conflicts: ident-server
Description: Ident daemon with masquerading support
 A hopefully RFC1413 compliant identd server with masqueraded
 connections support, designed to be executed from inetd.
 .
 Support 2.2.x (ipchains) and 2.4.x (iptables) Kernels.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
	
	install -m 0755 pimpd debian/pimpd/usr/sbin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
